interface VideoProps {
  src: string;
  poster?: string;
}

export default function Video({ src, poster }: VideoProps) {
  return (
    <div className="relative h-[569px] w-full">
      <video
        className="absolute inset-0 h-full w-full object-cover"
        autoPlay
        loop
        muted
        playsInline
        poster={poster}
      >
        <source src={src} type="video/mp4" />
        Your browser does not support the video tag.
      </video>
    </div>
  );
}
